<!doctype html>
<html>
<head>
    <title>Vidalia bundle, OSX and Qt bugs | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Vidalia bundle, OSX and Qt bugs | Tor Project">
    <meta property="og:description" content="It appears Qt-4.3.3 has a bug that is causing Vidalia to crash when the list of Tor nodes...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/vidalia-bundle-osx-and-qt-bugs/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Vidalia bundle, OSX and Qt bugs
      </h1>
    <p class="meta">by phobos | January 20, 2008</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>It appears Qt-4.3.3 has <a href="http://trolltech.com/developer/task-tracker/index_html?method=entry&amp;id=155700" rel="nofollow">a bug</a> that is causing Vidalia to crash when the list of Tor nodes refreshes and is sorted.  The current 0.1.2.19-stable and 0.2.0.17-alpha bundles for OSX are built against Qt-4.3.3.  </p>

<p>I've downgraded the build hosts to Qt-4.3.2.  The rebuilt OSX vidalia-bundle packages for both 0.1.2.19-stable and 0.2.0.17-alpha are available as:</p>

<ul>
<li><a href="http://www.torproject.org/dist/vidalia-bundles/vidalia-bundle-0.1.2.19-0.0.16a-tiger.dmg" rel="nofollow">Bundle with 0.1.2.19-stable and Vidalia 16a</a></li>
<li><a href="http://www.torproject.org/dist/vidalia-bundles/vidalia-bundle-0.2.0.17-alpha-0.0.16a-tiger.dmg" rel="nofollow">Bundle with 0.2.0.17-alpha and Vidalia 16a</a></li>
</ul>

<p>These bundles contain Vidalia compiled with Qt-4.3.2.  This makes Vidalia happy again.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-9"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-9" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://pto2k.blogspot.com">peter (not verified)</a> said:</p>
      <p class="date-time">March 11, 2008</p>
    </div>
    <a href="#comment-9">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-9" class="permalink" rel="bookmark">thanks for the file
my</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>thanks for the file<br />
my vidalia was keeping crash...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-321"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-321" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://sourceforge.net/projects/pvqt/">Tom Sharpless (not verified)</a> said:</p>
      <p class="date-time">October 31, 2008</p>
    </div>
    <a href="#comment-321">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-321" class="permalink" rel="bookmark">Another Qt OpenGL bug on OSX ?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>HI, I'm using Qt 4.4 (open source) to build a portable OpenGL panorama viewer.  It works great on Win32 and Linux, but badly on OSX.  The symptoms strongly suggest that the QGLWidget c'tor and d'tor are not correctly initializing/destroying something in the graphics context that relates to cube mapped texturing.</p>
<p>I am almost mac-illiterate and don't own one, so I can't just try a thousand hacks until I stumble on a solution -- I need the advice of an expert.  Can you help?</p>
<p>Thanks -- Tom</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
